Name:           perl-PBKDF2-Tiny
Version:        0.005
Release:        5%{?dist}
Summary:        Minimalist PBKDF2 (RFC 2898) with HMAC-SHA1 or HMAC-SHA2
# inc/MakeMaker.pm:     GPL+ or Artistic (derived from
#                       Package-Stash:inc/MMPackageStash.pm)
# Makefile.PL:          GPL+ or Artistic (parse_args() derived from
#                       ExtUtils-MakeMaker)
# other files:          ASL 2.0
License:        ASL 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PBKDF2-Tiny/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/PBKDF2-Tiny-%{version}.tar.gz
BuildArch:      noarch
# The inc/MakeMaker.pm is not run
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(Text::ParseWords)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
# Digest::SHA or Digest::SHA::::PurePerl
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Exporter) >= 5.57
# Tests:
# CPAN::Meta 2.120900 not useful
BuildRequires:  perl(Encode)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Digest::SHA or Digest::SHA::::PurePerl
Requires:       perl(Digest::SHA)

%description
This module provides an RFC 2898 compliant PBKDF2 implementation using
HMAC-SHA1 or HMAC-SHA2.

%prep
%setup -q -n PBKDF2-Tiny-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.005-5
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.005-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.005-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.005-2
- Perl 5.22 rebuild

* Fri Mar 20 2015 Petr Pisar <ppisar@redhat.com> 0.005-1
- Specfile autogenerated by cpanspec 1.78.
